Bug 238742 - Missing 64bit ltrace on Fedora for PPC64
Missing 64bit ltrace on Fedora for PPC64
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: ltrace (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Petr Machata
:
Depends On:
Blocks: FC7Blocker
  Show dependency treegraph
 
Reported: 2007-05-02 14:48 EDT by IBM Bug Proxy
Modified: 2015-05-04 21:33 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-17 12:04:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
IBM Linux Technology Center 34141 None None None Never

  None (edit)
Description IBM Bug Proxy 2007-05-02 14:48:46 EDT
The 64bit ltrace is missing on Fedora for PPC.

Machine Type = Cell QS20
 
The ltrace is only available in 32bits version.

/installsource/fc7-test3/ppc/Fedora# find . -iname "ltrace*"
./ltrace-0.5-6.45svn.fc6.ppc.rpm

Also I checked that this package isn't on the Fedora Core 7 Test 4. 
I noted that that this package exists in the rawhide version.

Is it possible to add 64bits package in the PPC fedora?

Thanks
Comment 1 Jesse Keating 2007-05-02 16:05:54 EDT
Why is it you need the ppc64 version of this package?  We're considering
removing _all_ 64 bit packages from the spin except kernel, systemtap, and
perhaps glibc.  David, what are your thoughts on this?
Comment 2 David Woodhouse 2007-05-02 16:21:41 EDT
It's one of the few packages which make sense in the 64-bit version, if you
actually want to trace 64-bit software. It's amusing that the few packages we
_do_ want 64-bit are the packages we weren't shipping :)

I assume we're not talking about removing 64-bit packages from the spin for F7
at this stage -- that's an F8 thing. F7 is in good shape for release, now that
we're preferring 32-bit in both yum and rpm (although anaconda still needs to
set _prefer_color 1 for _upgrades_).

Post-F7, yes we'll probably drop most 64-bit stuff and let users pick it up from
the ppc64 repo _if_ they want it. But kernel,systemtap,gdb,ltrace,strace are the
packages most likely to be kept in the core 'ppc' repo.

In the short term, adding ltrace.ppc64 to the compose is a sensible request. Are
we still missing strace64.ppc64 too?
Comment 3 IBM Bug Proxy 2007-05-02 16:46:33 EDT
changed:

           What    |Removed                     |Added
----------------------------------------------------------------------------
        Owning Team|Red Hat                     |LTC Internal Support




------- Additional Comments From dmfaria@br.ibm.com  2007-05-02 16:43 EDT -------
- We need the 64 bits ltrace to trace 64-bit software. It will be run over a
ppc64 architecture machine.

-64 bits strace is also missing, dwmw2. 
Comment 4 IBM Bug Proxy 2007-05-03 13:55:51 EDT
----- Additional Comments From brenohl@br.ibm.com  2007-05-03 13:51 EDT -------
Hi Jesse, 
  Based on the latest comment do you think that these package has chance be
included?

Thanks
Breno 
Comment 5 Jesse Keating 2007-05-03 14:05:37 EDT
Yes, I'm marking this an F7 blocker so to remember it.
Comment 6 IBM Bug Proxy 2007-05-03 14:32:05 EDT
changed:

           What    |Removed                     |Added
----------------------------------------------------------------------------
             Status|ASSIGNED                    |FIXEDAWAITINGTEST
         Resolution|                            |FIX_ALREADY_AVAIL




------- Additional Comments From brenohl@br.ibm.com  2007-05-03 14:28 EDT -------
Jesse, Thanks a lot. 
Comment 7 Jesse Keating 2007-05-17 12:04:46 EDT
Rawhide now has ltrace/strace as multilib.
Comment 8 IBM Bug Proxy 2007-06-06 16:02:28 EDT
changed:

           What    |Removed                     |Added
----------------------------------------------------------------------------
  BugsThisDependsOn|                            |35267
             Status|ACCEPTED                    |REOPENED
         Resolution|FIX_ALREADY_AVAIL           |




------- Additional Comments From dmfaria@br.ibm.com  2007-06-06 15:57 EDT -------
This bug depends on 35267. Now F7GA has the 64-bit ltrace in its repositories.
When you do a fedora installation or a yum install ltrace it installs ltrace
64-bits and then installs ltrace 32-bits over it.

One workaround is to do yum remove ltrace and then yum install ltrace.ppc64,
then you will only have the 64-bit version installed. 
Comment 9 David Woodhouse 2007-06-06 16:14:51 EDT
Yes, that's a known problem with the way we handle multilib and let one set of
binaries just override another. Once we fix that and ban the file conflicts,
this kind of thing won't happen. We'll probably want a 'ltrace64' package, like
our 'strace64' package.

Ideally, ltrace (and strace) would just be fixed so that one version works for both.
Comment 10 IBM Bug Proxy 2007-12-12 16:00:35 EST
------- Comment From mlui@us.ibm.com 2007-12-12 15:59 EDT-------
Daniel, is this fixed in F8?

Note You need to log in before you can comment on or make changes to this bug.